Subject: Re: bug#38796: 26.3; `view-lossage': Use a variable for the lossage limit

From: Tino Calancha <[email-masked]>
Date: Thu, 27 Aug 2020 23:28:03 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Tino Calancha <[email-masked]> writes:
>
>>> I agree that disabling should not necessarily be implemented by
>>> "abusing" the max-lossage setting.
>> Yeah, it was appealing to me at first look: the code was offering
>> another feature for free!
>> After your comments I rethink about it and become less excited: it
>> always posible that we might be hit back in other parts of the code
>> if they assume a 'sensible large enough' value.
>
> I thought it sounded quite natural to use the same mechanism to switch
> lossage logging off.  `(update-lossage-size 0)' seems like a natural
> thing to do to have no lossage.
> Anyway, it doesn't look like you've merged the branch?  I think
> everybody was in favour of adding this feature.
People agree with that.  The friction arises because I kept the current
implementation, which can be seen as abusing on it, and/or risky.
[ I have neither plan nor time to redo the current implementation. ]
>>     Users can still safely modify the lossage limit with the
>>     command `update-lossage-size'.  For convenience, add
>>     a function `lossage-size' to return the current limit.
>
> Hm...  other functions use the convention of having a zero-parameter
> function return the data, and having a parameter to set it.  So
> (lossage-size 500) could set it and (lossage-size) could return the
> current size?
I have amended the patch to do this.  Thank you.

FWIW I have been running Emacs almost 3 months using this branch
with no issues.
If Eli is OK with it, I can merge it to master next week.